Owostack

Create a payment-method setup session

Creates a hosted setup flow to capture or authorize a payment method for future charges.

POST
/v1/wallet/setup

Authorization

bearerAuth

Request Body

application/json

customer*string
callbackUrl?string
Formaturi
provider?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.owostack.com/v1/wallet/setup" \  -H "Content-Type: application/json" \  -d '{    "customer": "string"  }'
{
  "url": "http://example.com",
  "reference": "string"
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}
{
  "success": true,
  "error": "string",
  "code": "string",
  "message": "string",
  "property1": null,
  "property2": null
}

AI Chat

Owostack docs assistant

Start a new chat below.